ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
ome::xml::model::primitives Namespace Reference

Model primitive data types. More...

## Classes
class | Color
| An RGBA color value. More...
class | ConstrainedNumeric
| A numeric type constrained to a subrange (or subranges) of its range limits. More...
struct | ConstrainedNumericError
| Default error handler for ConstrainedNumeric. More...
struct | NonNegativeFloatConstraint
| Constraint for non-negative floating point values. More...
struct | NonNegativeIntegerConstraint
| Constraint for non-negative integer values. More...
struct | PercentFractionConstraint
| Constraint for fractional floating point values. More...
struct | PositiveFloatConstraint
| Constraint for strictly positive floating point values. More...
struct | PositiveIntegerConstraint
| Constraint for strictly positive integer values. More...
class | Timestamp
| An ISO-8601 timestamp. More...

## Typedefs
typedef ConstrainedNumeric< double, NonNegativeFloatConstraint< double > > | NonNegativeFloat
| Double-precision floating point value greater than or equal to zero.
typedef ConstrainedNumeric< int32_t, NonNegativeIntegerConstraint< int32_t > > | NonNegativeInteger
| Integer (signed 32-bit) value greater than or equal to zero.
typedef ConstrainedNumeric< int64_t, NonNegativeIntegerConstraint< int64_t > > | NonNegativeLong
| Long integer (signed 64-bit) value greater than or equal to zero.
typedef ConstrainedNumeric< float, PercentFractionConstraint< float > > | PercentFraction
| Double-precision floating point value between 0.0 minimum and 1.0 maximum.
typedef ConstrainedNumeric< double, PositiveFloatConstraint< double > > | PositiveFloat
| Double-precision floating point value greater than zero. More...
typedef ConstrainedNumeric< int32_t, PositiveIntegerConstraint< int32_t > > | PositiveInteger
| Integer (signed 32-bit) value greater than zero. More...
typedef ConstrainedNumeric< int64_t, PositiveIntegerConstraint< int64_t > > | PositiveLong
| Long integer (signed 64-bit) value greater than zero. More...

## Functions
bool | operator== (const Color &lhs, const Color &rhs)
| Compare two Color objects for equality. More...
bool | operator== (const Color &lhs, Color::composed_type rhs)
| Compare a Color object with a composed color value for equality. More...
bool | operator== (Color::composed_type lhs, const Color &rhs)
| Compare a composed color value with a Color object for equality. More...
bool | operator== (const Color &lhs, Color::signed_type rhs)
| Compare a Color object with a signed composed color value for equality. More...
bool | operator== (Color::signed_type lhs, const Color &rhs)
| Compare a signed composed color value with a Color object for equality. More...
bool | operator!= (const Color &lhs, const Color &rhs)
| Compare two Color objects for non-equality. More...
bool | operator!= (const Color &lhs, Color::composed_type rhs)
| Compare a Color object with a composed color value for non-equality. More...
bool | operator!= (Color::composed_type lhs, const Color &rhs)
| Compare a composed color value with a Color object for non-equality. More...
bool | operator!= (const Color &lhs, Color::signed_type rhs)
| Compare a Color object with a signed composed color value for non-equality. More...
bool | operator!= (Color::signed_type lhs, const Color &rhs)
| Compare a signed composed color value with a Color object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Color &color)
| Output Color to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Color &color)
| Set Color from input stream. More...
template<class charT , class traits , typename N , typename C , typename E >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, ConstrainedNumeric< N, C, E > &value)
| Set constrained value from input stream. More...
template<class charT , class traits , typename N , typename C , typename E >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const ConstrainedNumeric< N, C, E > &value)
| Output constrained value to output stream. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Timestamp &timestamp)
| Output Timestamp to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Timestamp &timestamp)
| Set Timestamp from input stream. More...

## Detailed Description

Model primitive data types.

Model primitives.

All the classes in this namespace are fundamental data types used by the OME model objects, but are not themselves model objects. They map to types defined in the OME-XML schema.

## Typedef Documentation

typedef ConstrainedNumeric<double, PositiveFloatConstraint<double> > ome::xml::model::primitives::PositiveFloat

Double-precision floating point value greater than zero.

This value does not include zero.

typedef ConstrainedNumeric<int32_t, PositiveIntegerConstraint<int32_t> > ome::xml::model::primitives::PositiveInteger

Integer (signed 32-bit) value greater than zero.

This value does not include zero.

typedef ConstrainedNumeric<int64_t, PositiveIntegerConstraint<int64_t> > ome::xml::model::primitives::PositiveLong

Long integer (signed 64-bit) value greater than zero.

This value does not include zero.

## Function Documentation

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare two Color objects for non-equality.

Parameters

  lhs | a Color object.
  rhs | a Color object.

Returns
  true if the colors are not the same, otherwise false.

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | Color::composed_type | rhs
| ) |  |
| inline

Compare a Color object with a composed color value for non-equality.

Parameters

  lhs | a Color object.
  rhs | a composed color value.

Returns
  true if the Color object is not the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator!= | ( | Color::composed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a composed color value with a Color object for non-equality.

Parameters

  lhs | a composed color value.
  rhs | a Color object.

Returns
  true if the Color object is not the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | Color::signed_type | rhs
| ) |  |
| inline

Compare a Color object with a signed composed color value for non-equality.

Parameters

  lhs | a Color object.
  rhs | a signed composed color value.

Returns
  true if the Color object is not the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator!= | ( | Color::signed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a signed composed color value with a Color object for non-equality.

Parameters

  lhs | a signed composed color value.
  rhs | a Color object.

Returns
  true if the Color object is not the same as the color value, otherwise false.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Timestamp & | timestamp
| ) |  |
| inline

Output Timestamp to output stream.

Parameters

  os | the output stream.
  timestamp | the timestamp to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Color & | color
| ) |  |
| inline

Output Color to output stream.

Parameters

  os | the output stream.
  color | the Color to output.

Returns
  the output stream.

template<class charT , class traits , typename N , typename C , typename E >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const ConstrainedNumeric< N, C, E > & | value
| ) |  |
| inline

Output constrained value to output stream.

Parameters

  os | the output stream.
  value | the value to output.

Returns
  the output stream.

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare two Color objects for equality.

Parameters

  lhs | a Color object.
  rhs | a Color object.

Returns
  true if the colors are the same, otherwise false.

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | Color::composed_type | rhs
| ) |  |
| inline

Compare a Color object with a composed color value for equality.

Parameters

  lhs | a Color object.
  rhs | a composed color value.

Returns
  true if the Color object is the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator== | ( | Color::composed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a composed color value with a Color object for equality.

Parameters

  lhs | a composed color value.
  rhs | a Color object.

Returns
  true if the Color object is the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | Color::signed_type | rhs
| ) |  |
| inline

Compare a Color object with a signed composed color value for equality.

Parameters

  lhs | a Color object.
  rhs | a signed composed color value.

Returns
  true if the Color object is the same as the color value, otherwise false.

bool ome::xml::model::primitives::operator== | ( | Color::signed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a signed composed color value with a Color object for equality.

Parameters

  lhs | a signed composed color value.
  rhs | a Color object.

Returns
  true if the Color object is the same as the color value, otherwise false.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Timestamp & | timestamp
| ) |  |
| inline

Set Timestamp from input stream.

Parameters

  is | the input stream.
  timestamp | the Timestamp to set.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Color & | color
| ) |  |
| inline

Set Color from input stream.

Parameters

  is | the input stream.
  color | the Color to set.

Returns
  the input stream.

References ome::xml::model::primitives::Color::setValue().

template<class charT , class traits , typename N , typename C , typename E >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | ConstrainedNumeric< N, C, E > & | value
| ) |  |
| inline

Set constrained value from input stream.

Parameters

  is | the input stream.
  value | the value to set.

Returns
  the input stream.